> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get passes

> Get all the passes given a event.



## OpenAPI

````yaml get /passes/
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
paths:
  /passes/:
    get:
      tags:
        - Passes
      description: Get all the passes given a event.
      parameters:
        - name: event_id
          in: query
          description: Event identifier.
          example: el4gr63f00xkq01i1d8jh5ohuzaZhvoE
          schema:
            type: string
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/Passes'
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/Passes'
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '404':
          description: HTTP Not Found
components:
  schemas:
    Passes:
      description: Array of Pass
      items:
        $ref: '#/components/schemas/Pass'
      type: array
    Pass:
      properties:
        _id:
          description: Unique ID of the pass.
          example: Pl4gr84v20xqu01js0ybj42s6vYtIz1T
          type: string
        channel_id:
          description: >-
            Unique identifier of the channel. (It can be the same or other
            organization).
          example: ajifs2hke000dwemmurwd3kuqN3Kopcx
          type: string
        code:
          description: Access code (QR) of the pass.
          example: P6J21FF2S
          type: string
        email:
          description: Email of the client.
          example: my-client-email@fourvenues.com
          type: string
        enter:
          description: Number of people entered.
          example: 4
          type: integer
        for:
          description: Number of people enlisted.
          example: 7
          type: integer
        name:
          description: Name of the client.
          example: Miguel
          type: string
        raised:
          description: Total amount raised.
          example: 0
          type: number
        rate_name:
          description: Rate name.
          example: Pase Vip
          type: string
        rate_slug:
          description: Rate slug.
          example: pase-vip
          type: string
        referral_id:
          description: PPRR identifier.
          example: ñeifupjvx000rwe2m2zuba1z9FqyR2dSL
          type: string
        status:
          $ref: '#/components/schemas/PassStatus'
      type: object
    PassStatus:
      description: |-
        Pass status:<br><br>
              - Valid: A valid pass. It can be checked in correctly.<br><br>
              - Pending: A pass pending to be accepted by the organizer. It can't be checked in.<br><br>
              - Rejected: A rejected pass by the organizer. It can't be checked in.<br>
              
      example: valid
      items:
        enum:
          - valid
          - pending
          - rejected
        type: string
      type: array
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````